com.rs.xbrl.instructions.formula

## Class ExpressionParserResult

- java.lang.Object
- - com.rs.xbrl.instructions.formula.ExpressionParserResult

-     public class ExpressionParserResult
      extends java.lang.Object

  The Class ExpressionParserResult.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionParserResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createVariables(XBRLResource resFormula, GenerationContext gc, net.sf.saxon.value.BooleanValue bindAsSequence, FallbackValuesTable fbTable)` Creates the variables.
    `int` | `getNumberOfVariables()` Gets the number of variables.
    `javax.xml.namespace.QName` | `getOneVariableNameForSource()` Gets the one variable name for source.
    `java.lang.String` | `getParsedExpression()` Gets the parsed expression.
    `static ExpressionParserResult` | `parse(java.lang.String expression, GenerationContext gc, ExcelSheetPoint conceptPrefixPoint, ExcelSheetPoint numbersPoint)` Parses the incoming expression and creates an object model that can be used to create variables.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionParserResult

          public ExpressionParserResult()

  - ### Method Detail

    - #### parse

          public static ExpressionParserResult parse(java.lang.String expression,
                                     GenerationContext gc,
                                     ExcelSheetPoint conceptPrefixPoint,
                                     ExcelSheetPoint numbersPoint)

      Parses the incoming expression and creates an object model that can be used to create variables.
      Parameters:
        `expression` - the expression
        `gc` - the gc
        `conceptPrefixPoint` - the concept prefix point
        `numbersPoint` - the numbers point
      Returns:
        the expression parser result

    - #### getOneVariableNameForSource

          public javax.xml.namespace.QName getOneVariableNameForSource()

      Gets the one variable name for source.
      Returns:
        the one variable name for source

    - #### getNumberOfVariables

          public int getNumberOfVariables()

      Gets the number of variables.
      Returns:
        the number of variables

    - #### getParsedExpression

          public java.lang.String getParsedExpression()

      Gets the parsed expression.
      Returns:
        the parsed expression

    - #### createVariables

          public void createVariables(XBRLResource resFormula,
                             GenerationContext gc,
                             net.sf.saxon.value.BooleanValue bindAsSequence,
                             FallbackValuesTable fbTable)

      Creates the variables.
      Parameters:
        `resFormula` - the res formula
        `gc` - the gc
        `bindAsSequence` - the bind as sequence
        `fbTable` - the fb table